
singleton Material(fullsize_ar162b)
{
    mapTo = "fullsize";
    //diffuseMap[3] = "vehicles/fullsize/fullsize_police.dds";
    //specularMap[3] = "vehicles/fullsize/fullsize_s.dds";
    //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[2] = "vehicles/fullsize/fullsize_c_alt.dds";
    specularMap[2] = "vehicles/fullsize/fullsize_s.dds";
    normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_d.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_s.dds";
    normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
    //diffuseMap[3] = "vehicles/fullsize/fullsize_dirt.dds";
    //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "0 0.3 0.9 1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_gauges_AR162b)
{
    mapTo = "fullsize_gauges";
    diffuseMap[1] = "vehicles/fullsize/fullsize_gauges_d.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_gauges_s.dds";
    normalMap[1] = "vehicles/fullsize/fullsize_gauges_n.dds";
    diffuseMap[0] = "vehicles/fullsize/fullsize_gauges_d.dds";
    specularMap[0] = "vehicles/fullsize/fullsize_gauges_s.dds";
    normalMap[0] = "vehicles/fullsize/fullsize_gauges_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[1] = "0";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(fullsize_gauges_on_AR162b)
{
    mapTo = "fullsize_gauges_on";
    diffuseMap[1] = "vehicles/fullsize/fullsize_gauges_d.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_gauges_s.dds";
    normalMap[1] = "vehicles/fullsize/fullsize_gauges_n.dds";
    diffuseMap[0] = "vehicles/fullsize/fullsize_gauges_d.dds";
    specularMap[0] = "vehicles/fullsize/fullsize_gauges_s.dds";
    normalMap[0] = "vehicles/fullsize/fullsize_gauges_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[1] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(fullsize_interior_AR162b)
{
    mapTo = "fullsize_interior";
    diffuseMap[0] = "vehicles/fullsize/fullsize_interior_d.dds";
    normalMap[0] = "vehicles/fullsize/fullsize_interior_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    specularMap[0] = "vehicles/fullsize/fullsize_interior_s.dds";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.8 0.8 0.8 1";
};

singleton Material(fullsize_glass_AR162b)
{
    mapTo = "fullsize_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/fullsize/fullsize_glass_d.dds";
    specularMap[0] = "vehicles/fullsize/fullsize_glass_s.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_glass_da.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_glass_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_glass_int_AR162b)
{
    mapTo = "fullsize_glass_int";
    diffuseMap[0] = "vehicles/fullsize/fullsize_glass_d.dds";
    specularMap[0] = "vehicles/fullsize/fullsize_glass_s.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_glass_da.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_glass_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_glass_dmg_AR162b)
{
    mapTo = "fullsize_glass_dmg";
    diffuseMap[0] = "vehicles/fullsize/fullsize_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_glass_dmg_da.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_windshield_dmg_AR162b)
{
    mapTo = "fullsize_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/fullsize/fullsize_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_glass_da.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_signal_L)
{
    mapTo = "fullsize_signal_L";
};

singleton Material(fullsize_signal_R)
{
    mapTo = "fullsize_signal_R";
};

singleton Material(fullsize_signalPD_L)
{
    mapTo = "fullsize_signalPD_L";
};

singleton Material(fullsize_signalPD_R)
{
    mapTo = "fullsize_signalPD_R";
};

singleton Material(fullsize_PD_L)
{
    mapTo = "fullsize_PD_L";
};

singleton Material(fullsize_PD_R)
{
    mapTo = "fullsize_PD_R";
};

singleton Material(fullsize_signal_L_white)
{
    mapTo = "fullsize_signal_L_white";
};

singleton Material(fullsize_signal_R_white)
{
    mapTo = "fullsize_signal_R_white";
};

singleton Material(fullsize_taillight)
{
    mapTo = "fullsize_taillight";
};

singleton Material(fullsize_chmsl)
{
    mapTo = "fullsize_chmsl";
};

singleton Material(fullsize_headlight)
{
    mapTo = "fullsize_headlight";
};

singleton Material(fullsize_reverselight)
{
    mapTo = "fullsize_reverselight";
};

singleton Material(fullsize_reverselight_PD_R)
{
    mapTo = "fullsize_reverselight_PD_R";
};
singleton Material(fullsize_reverselight_PD_L)
{
    mapTo = "fullsize_reverselight_PD_L";
};


singleton Material(fullsize_parkinglight)
{
    mapTo = "fullsize_parkinglight";
};

singleton Material(fullsize_parkingspotlight)
{
    mapTo = "fullsize_parkingspotlight";
};

singleton Material(fullsize_lights_on)
{
    mapTo = "fullsize_lights_on";
    diffuseMap[2] = "vehicles/fullsize/fullsize_lights_g.dds";
    specularMap[2] = "vehicles/fullsize/fullsize_lights_s.dds";
    normalMap[2] = "vehicles/fullsize/fullsize_lights_n.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_lights_d.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_lights_s.dds";
    normalMap[1] = "vehicles/fullsize/fullsize_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/fullsize/fullsize_lights_n.dds";
    //diffuseMap[3] = "vehicles/fullsize/fullsize_lights_dirt.dds";
    //normalMap[3] = "vehicles/fullsize/fullsize_lights_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_lights_on_intense)
{
    mapTo = "fullsize_lights_on_intense";
    diffuseMap[2] = "vehicles/fullsize/fullsize_lights_g.dds";
    specularMap[2] = "vehicles/fullsize/fullsize_lights_s.dds";
    normalMap[2] = "vehicles/fullsize/fullsize_lights_n.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_lights_d.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_lights_s.dds";
    normalMap[1] = "vehicles/fullsize/fullsize_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/fullsize/fullsize_lights_n.dds";
    //diffuseMap[3] = "vehicles/fullsize/fullsize_lights_dirt.dds";
    //normalMap[3] = "vehicles/fullsize/fullsize_lights_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



singleton Material(fullsize_lights_dmg)
{
    mapTo = "fullsize_lights_dmg";
    diffuseMap[1] = "vehicles/fullsize/fullsize_lights_dmg_d.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_lights_dmg_s.dds";
    normalMap[1] = "vehicles/fullsize/fullsize_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/fullsize/fullsize_lights_dmg_n.dds";
    //diffuseMap[2] = "vehicles/fullsize/fullsize_lights_dirt.dds";
    //normalMap[2] = "vehicles/fullsize/fullsize_lights_dmg_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_lights)
{
    mapTo = "fullsize_lights";
    diffuseMap[1] = "vehicles/fullsize/fullsize_lights_d.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_lights_s.dds";
    normalMap[1] = "vehicles/fullsize/fullsize_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/fullsize/fullsize_lights_n.dds";
    //diffuseMap[2] = "vehicles/fullsize/fullsize_lights_dirt.dds";
    //normalMap[2] = "vehicles/fullsize/fullsize_lights_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

//adjusted parts by AR162b
singleton Material(fullsize_taxisign_AR162b)
{
   mapTo = "fullsize_taxisign_AR162b";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/taxisign_d.png";
   specularMap[1] = "vehicles/fullsize_wagon_AR162b/taxisign_s.png";
   normalMap[1] = "vehicles/fullsize_wagon_AR162b/taxisign_n.png";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize_wagon_AR162b/taxisign_n.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1.5";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};
singleton Material(fullsize_decal_taxi_ar162b_glow)
{
   mapTo = "fullsize_decal_taxi_ar162b_glow";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_taxi_AR162b.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.95 0.95 0.95 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   glow[1] = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(fullsize_decal_taxi_ar162b_OD)
{
   mapTo = "fullsize_decal_taxi_ar162b_OD";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/taxi_sign_offduty.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.95 0.95 0.95 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   glow[1] = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(fullsize_decal_taxi_ar162b_advert)
{
   mapTo = "fullsize_decal_taxi_ar162b_advert";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/taxi_sign_advert_beam.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   glow[1] = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(fullsize_decal_taxi_ar162b_glow_on)
{
   mapTo = "fullsize_decal_taxi_ar162b_glow_on";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_taxi_AR162b.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.95 0.95 0.95 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   glow[1] = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(fullsize_decal_taxi_ar162b_OD_on)
{
   mapTo = "fullsize_decal_taxi_ar162b_OD_on";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/taxi_sign_offduty.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.95 0.95 0.95 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   glow[1] = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(fullsize_decal_taxi_ar162b_advert_on)
{
   mapTo = "fullsize_decal_taxi_ar162b_advert_on";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/taxi_sign_advert_beam.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   glow[1] = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(fullsize_decals_ar162b_taxi)
{
   mapTo = "fullsize_decals_ar162b_taxi";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_taxi_AR162b.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.1 0.1 0.1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(fullsize_decals_ar162b_taxi2)
{
   mapTo = "fullsize_decals_ar162b_taxi2";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_taxi2_ar162b.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.1 0.1 0.1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};

singleton Material(fullsize_decal_ar162b_HP_yellow)
{
   mapTo = "fullsize_decal_ar162b_HP_yellow";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_HP_AR162b.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "1.0 0.94 0.11 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};

singleton Material(fullsize_decal_ar162b_HP_black)
{
   mapTo = "fullsize_decal_ar162b_HP_black";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_HP_AR162b.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.1 0.1 0.1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};

singleton Material(fullsize_decal_ar162b_HP_white)
{
   mapTo = "fullsize_decal_ar162b_HP_white";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_HP_AR162b.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.95 0.95 0.95 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(fullsize_decal_ar162b_HP49_black)
{
   mapTo = "fullsize_decal_ar162b_HP49_black";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_HP_49_AR162b.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.1 0.1 0.1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};

singleton Material(fullsize_decal_ar162b_HP49_white)
{
   mapTo = "fullsize_decal_ar162b_HP49_white";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_HP_49_AR162b.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.95 0.95 0.95 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};

singleton Material(fullsize_decal_ar162b_HP73_black)
{
   mapTo = "fullsize_decal_ar162b_HP73_black";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_HP_73_AR162b.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.1 0.1 0.1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};

singleton Material(fullsize_decal_ar162b_HP73_white)
{
   mapTo = "fullsize_decal_ar162b_HP73_white";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_HP_73_AR162b.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.95 0.95 0.95 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};

singleton Material(fullsize_decal_ar162b_K9_white)
{
   mapTo = "fullsize_decal_ar162b_K9_white";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_K9_AR162b.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.95 0.95 0.95 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(fullsize_decal_ar162b_K9_red)
{
   mapTo = "fullsize_decal_ar162b_K9_red";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_K9_AR162b.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.91 0.24 0.17 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};

singleton Material(fullsize_decal_ar162b_K991_white)
{
   mapTo = "fullsize_decal_ar162b_K991_white";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_K9_91_AR162b.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.95 0.95 0.95 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};

singleton Material(fullsize_decal_ar162b_K997_white)
{
   mapTo = "fullsize_decal_ar162b_K997_white";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_K9_97_AR162b.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.95 0.95 0.95 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};

singleton Material(fullsize_spotlight)
{
   mapTo = "fullsize_spotlight";
};

singleton Material(fullsize_moonhawk)
{
   mapTo = "moonhawk";

   diffuseMap[1] = "vehicles/moonhawk/moonhawk_d.dds";
   specularMap[1] = "vehicles/moonhawk/moonhawk_s.dds";
   normalMap[1] = "vehicles/moonhawk/moonhawk_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/moonhawk/moonhawk_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[2] = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_AR162b_Rocket)
{
   mapTo = "AR162b_Rocket";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/AR162b_Rocket_d.dds";
   specularMap[1] = "vehicles/fullsize_wagon_AR162b/AR162b_Rocket_s.dds";
   normalMap[1] = "vehicles/fullsize_wagon_AR162b/AR162b_Rocket_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize_wagon_AR162b/AR162b_Rocket_n.dds";
   //diffuseMap[2] = "vehicles/common/tire_01a_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_AR162b_Vector)
{
   mapTo = "AR162b_Vector";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/AR162b_Vector_d.dds";
   specularMap[1] = "vehicles/fullsize_wagon_AR162b/AR162b_Vector_s.dds";
   normalMap[1] = "vehicles/fullsize_wagon_AR162b/AR162b_Vector_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize_wagon_AR162b/AR162b_Vector_n.dds";
   //diffuseMap[2] = "vehicles/common/tire_01a_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.0 1.0 1.0 1.0";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(fullsize_white)
{
   mapTo = "fullsize_white";

   diffuseMap[1] = "vehicles/fullsize/fullsize_c_alt.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
   //diffuseMap[0] = "vehicles/common/null.dds";
   //specularMap[0] = "vehicles/common/null.dds";
   //normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "1 1 1 1.5";
   diffuseColor[1] = "1 1 1 1.5";
   //specularColor[0] = "1 1 1 1";
   //specularColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_chrome)
{
   mapTo = "fullsize_chrome";

   diffuseMap[1] = "vehicles/fullsize/fullsize_c_alt.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
   //diffuseMap[0] = "vehicles/common/null.dds";
   //specularMap[0] = "vehicles/common/null.dds";
   //normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "1 1 1 0.4";
   diffuseColor[1] = "1 1 1 0.4";
   //specularColor[0] = "1 1 1 1";
   //specularColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_blackgrill)
{
   mapTo = "fullsize_blackgrill";
   diffuseMap[1] = "vehicles/fullsize/fullsize_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0.1 0.1 0.1 1.5";
   diffuseColor[1] = "0.1 0.1 0.1 1.5";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[2] = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_lights_on_white)
{
   mapTo = "fullsize_lights_on_white";
   diffuseMap[2] = "vehicles/fullsize/fullsize_lights_g.dds";
   specularMap[2] = "vehicles/fullsize/fullsize_lights_s.dds";
   normalMap[2] = "vehicles/fullsize/fullsize_lights_n.dds";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/fullsize_lights_d_white.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_lights_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_lights_n.dds";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_lights_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_lights_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_lights_on_intense_white)
{
   mapTo = "fullsize_lights_on_intense_white";
   diffuseMap[2] = "vehicles/fullsize/fullsize_lights_g.dds";
   specularMap[2] = "vehicles/fullsize/fullsize_lights_s.dds";
   normalMap[2] = "vehicles/fullsize/fullsize_lights_n.dds";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/fullsize_lights_d_white.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_lights_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_lights_n.dds";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_lights_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_lights_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



singleton Material(fullsize_lights_dmg_white)
{
   mapTo = "fullsize_lights_dmg_white";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/fullsize_lights_dmg_d_white.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_lights_dmg_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_lights_dmg_n.dds";
   //diffuseMap[2] = "vehicles/fullsize/fullsize_lights_dirt.dds";
   //normalMap[2] = "vehicles/fullsize/fullsize_lights_dmg_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_lights_white)
{
   mapTo = "fullsize_lights_white";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/fullsize_lights_d_white.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_lights_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_lights_n.dds";
   //diffuseMap[2] = "vehicles/fullsize/fullsize_lights_dirt.dds";
   //normalMap[2] = "vehicles/fullsize/fullsize_lights_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(fullsize_glass_dark)
{
    mapTo = "fullsize_glass_dark";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/fullsize/fullsize_glass_d.dds";
    specularMap[0] = "vehicles/fullsize/fullsize_glass_s.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_glass_da.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_glass_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0.2 0.2 0.2 1";
    diffuseColor[1] = "0.2 0.2 0.2 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_glass_dark_dmg)
{
    mapTo = "fullsize_glass_dark_dmg";
    diffuseMap[0] = "vehicles/fullsize/fullsize_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_glass_dmg_da.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "0.4 0.4 0.4 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_decals_derby_ar162b_40)
{
   mapTo = "fullsize_decals_derby_ar162b_40";
   diffuseMap[1] = "vehicles/fullsize/decals_derby_AR162b_40.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.95 0.02 0.02 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(fullsize_decals_derby_ar162b_56)
{
   mapTo = "fullsize_decals_derby_ar162b_56";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_derby_AR162b_56.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.9 0.9 0.9 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(fullsize_decals_derby_ar162b_72)
{
   mapTo = "fullsize_decals_derby_ar162b_72";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_derby_AR162b_72.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.66 0.02 1.0 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(fullsize_decals_derby_ar162b_81)
{
   mapTo = "fullsize_decals_derby_ar162b_81";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_derby_AR162b_81.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.1 0.1 0.1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(fullsize_decals_derby_ar162b_93)
{
   mapTo = "fullsize_decals_derby_ar162b_93";
   diffuseMap[1] = "vehicles/fullsize_wagon_AR162b/decals_derby_AR162b_93.png";
   specularMap[1] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/decals_sheriff_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "0.8";
   specularPower[1] = "16";
   pixelSpecular[1] = "0.8";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.35 0.35 0.35 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   translucentZWrite = "1";
};
singleton Material(fullsize_moonhawk_engines_AR162b)
{
   mapTo = "moonhawk_engines";
   diffuseMap[1] = "vehicles/moonhawk/moonhawk_engines_d.dds";
   specularMap[1] = "vehicles/moonhawk/moonhawk_engines_s.dds";
   normalMap[1] = "vehicles/moonhawk/moonhawk_engines_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/moonhawk/moonhawk_engines_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_lightbarglassB_d_on_R162b)
{
    mapTo = "lightbarglassB_d_on_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "1";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "1";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglassR_d_on_AR162b)
{
    mapTo = "lightbarglassR_d_on_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "1";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "1";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglassB_d_AR162b)
{
    mapTo = "lightbarglassB_d_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "0";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglassR_d_AR162b)
{
    mapTo = "lightbarglassR_d_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber1_on_AR162b)
{
    mapTo = "lightbarglass_amber1_on_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "1";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "1";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber1_AR162b)
{
    mapTo = "lightbarglass_amber1_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber2_on_AR162b)
{
    mapTo = "lightbarglass_amber2_on_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "1";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "1";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber2_AR162b)
{
    mapTo = "lightbarglass_amber2_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber3_on_AR162b)
{
    mapTo = "lightbarglass_amber3_on_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "1";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "1";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber3_AR162b)
{
    mapTo = "lightbarglass_amber3_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber4_on_AR162b)
{
    mapTo = "lightbarglass_amber4_on_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "1";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "1";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber4_AR162b)
{
    mapTo = "lightbarglass_amber4_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber5_on_AR162b)
{
    mapTo = "lightbarglass_amber5_on_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "1";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "1";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber5_AR162b)
{
    mapTo = "lightbarglass_amber5_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber6_on_AR162b)
{
    mapTo = "lightbarglass_amber6_on_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "1";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "1";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber6_AR162b)
{
    mapTo = "lightbarglass_amber6_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber7_on_AR162b)
{
    mapTo = "lightbarglass_amber7_on_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "1";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "1";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber7_AR162b)
{
    mapTo = "lightbarglass_amber7_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber8_on_AR162b)
{
    mapTo = "lightbarglass_amber8_on_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "1";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "1";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amber8_AR162b)
{
    mapTo = "lightbarglass_amber8_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amberR_on_AR162b)
{
    mapTo = "lightbarglass_amberR_on_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "1";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "1";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amberR_AR162b)
{
    mapTo = "lightbarglass_amberR_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amberL_on_AR162b)
{
    mapTo = "lightbarglass_amberL_on_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "1";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "1";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};

singleton Material(fullsize_lightbarglass_amberL_AR162b)
{
    mapTo = "lightbarglass_amberL_AR162b";
    diffuseMap[2] = "vehicles/common/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbar_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.0 1.0 1.0 1";
    diffuseColor[2] = "1.0 1.0 1.0 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
};


